#pragma once
#include <Arduino.h>
#include <DFRobotDFPlayerMini.h>
#include <LiquidCrystal.h>


inline void printMp3Detail(const uint8_t type, const int value)
{
    Serial.println();  // Add a newline before printing the details
    switch (type)
    {
    case TimeOut:
        Serial.println("Time Out!");
        break;
    case WrongStack:
        Serial.println("Stack Wrong!");
        break;
    case DFPlayerCardInserted:
        Serial.println("Card Inserted!");
        break;
    case DFPlayerCardRemoved:
        Serial.println("Card Removed!");
        break;
    case DFPlayerCardOnline:
        Serial.println("Card Online!");
        break;
    case DFPlayerUSBInserted:
        Serial.println("USB Inserted!");
        break;
    case DFPlayerUSBRemoved:
        Serial.println("USB Removed!");
        break;
    case DFPlayerPlayFinished:
        Serial.print("Num:");
        Serial.print(value);
        Serial.println(" Finished!");
        break;
    case DFPlayerError:
        Serial.print("DFPlayerError: ");
        switch (value)
        {
        case Busy:
            Serial.println("Card not found");
            break;
        case Sleeping:
            Serial.println("Sleeping");
            break;
        case SerialWrongStack:
            Serial.println("Wrong Stack");
            break;
        case CheckSumNotMatch:
            Serial.println("Checksum Error");
            break;
        case FileIndexOut:
            Serial.println("File Index OOB");
            break;
        case FileMismatch:
            Serial.println("File Mismatch");
            break;
        case Advertise:
            Serial.println("In Advertise");
            break;
        default:
            Serial.println("Unknown Error");
            break;
        }
        break;
    default:
        Serial.println("Unknown Type");
        break;
    }
    delay(100);
}